#include "awoorwae.h"
#include <cmath>
#include <iostream>
#include <string>

namespace pabloader {

bool Awoorwae::OnUserCreate()
{
    if (!olc::SOUND::InitialiseAudio()) {
        std::cerr << "Cannot init audio" << std::endl;
        return false;
    }

    if (!pack.LoadPack("awoorwae.pgp")) {
        std::cerr << "Cannot load resource pack res/awoorwae.pgp" << std::endl;
        return false;
    }

    if (!player->Load())
        return false;

    SetPixelMode(olc::Pixel::MASK);
    pack.ClearPack();
    return true;
}

bool Awoorwae::OnUserUpdate(float fElapsedTime)
{
    Clear(olc::VERY_DARK_CYAN);

    player->Update(fElapsedTime);
    player->Draw();
    return true;
}

bool Awoorwae::OnUserDestroy()
{
    olc::SOUND::DestroyAudio();
    return true;
}
}